Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Interface StepMonitor

All Known Implementing Classes:
  DelegatingStepMonitor, NullStepMonitor, PrintStreamStepMonitor, SilentStepMonitor

    public interface StepMonitor

Interface to monitor step events

Method Summary
`void` | `convertedValueOfType(String value, Type type, Object converted, Class<?> converterClass)`
`void` | `foundParameter(String parameter, int position)`
`void` | `performing(String step, boolean dryRun)`
`void` | `stepMatchesPattern(String step, boolean matches, StepPattern stepPattern, Method method, Object stepsInstance)`
`void` | `stepMatchesType(String stepAsString, String previousAsString, boolean matchesType, StepType stepType, Method method, Object stepsInstance)`
`void` | `usingAnnotatedNameForParameter(String name, int position)`
`void` | `usingNaturalOrderForParameter(int position)`
`void` | `usingParameterNameForParameter(String name, int position)`
`void` | `usingTableAnnotatedNameForParameter(String name, int position)`
`void` | `usingTableParameterNameForParameter(String name, int position)`

Method Detail

### stepMatchesType

    void stepMatchesType(String stepAsString,
                         String previousAsString,
                         boolean matchesType,
                         StepType stepType,
                         Method method,
                         Object stepsInstance)

### stepMatchesPattern

    void stepMatchesPattern(String step,
                            boolean matches,
                            StepPattern stepPattern,
                            Method method,
                            Object stepsInstance)

### convertedValueOfType

    void convertedValueOfType(String value,
                              Type type,
                              Object converted,
                              Class<?> converterClass)

### performing

    void performing(String step,
                    boolean dryRun)

### usingAnnotatedNameForParameter

    void usingAnnotatedNameForParameter(String name,
                                        int position)

### usingParameterNameForParameter

    void usingParameterNameForParameter(String name,
                                        int position)

### usingTableAnnotatedNameForParameter

    void usingTableAnnotatedNameForParameter(String name,
                                             int position)

### usingTableParameterNameForParameter

    void usingTableParameterNameForParameter(String name,
                                             int position)

### usingNaturalOrderForParameter

    void usingNaturalOrderForParameter(int position)

### foundParameter

    void foundParameter(String parameter,
                        int position)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.